\name{interpret.rqss}
\alias{interpret.rqss}
\title{Interpret a rqss formula}
\description{ This is an internal function.  It 
splits off the strictly parametric part of the model formula, returning 
it as a formula, and interprets the smooth parts of the model formula. 
Not normally called directly, but fake.formula is needed for predict.rqss.
}

\usage{interpret.rqss(gf)}

\arguments{
\item{gf}{A rqss formula as supplied to \code{\link{rqss}}.}
}

\value{An object of class \code{split.rqss.formula} with the following items:

\item{pf}{A model formula for the strictly parametric part of the model.}

\item{pfok}{TRUE if there is a \code{pf} formula.}

\item{smooth.spec}{A list of class \code{xx.smooth.spec} objects} 

\item{full.formula}{An expanded version of the model formula in which the 
options are fully expanded, and the options do not depend on variables which 
might not be available later.}

\item{fake.formula}{A formula suitable for use in evaluating a model frame.}

\item{response}{Name of the response variable.}
}


\seealso{   \code{\link{rqss}}}

\keyword{models} \keyword{smooth} \keyword{regression}
